package cast

type ApprovalDetailResponse struct {
	Status    int          `json:"status"`
	Data      Data         `json:"data"`
	Msg       string       `json:"msg"`
	Code      int          `json:"code"`
	Error     *string      `json:"error"`
	Err       string       `json:"err"`
	Keys      []string     `json:"keys"`
	Positions *interface{} `json:"positions"`
}

type Data struct {
	Count  int    `json:"Count"`
	Data   []Item `json:"data"`
	Status int    `json:"Status"`
}

type Item struct {
	ID     int    `json:"ID"`
	Domain string `json:"Domain"`
	Status int    `json:"Status"`
	Reply  string `json:"Reply"`
}
